> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HCHttpCallResponseGetResponseBodyWriteFunction

> HCHttpCallResponseGetResponseBodyWriteFunction

Get the function used by the HTTP call to write the response body.

## Syntax

```cpp theme={null}
HRESULT HCHttpCallResponseGetResponseBodyWriteFunction(  
         HCCallHandle call,  
         HCHttpCallResponseBodyWriteFunction* writeFunction,  
         void** context  
)  
```

### Parameters

*call*   \_In\_\
Type: HCCallHandle

The handle of the HTTP call.

*writeFunction*   \_Out\_\
Type: HCHttpCallResponseBodyWriteFunction\*

The write function of this HTTP call.

*context*   \_Out\_\
Type: void\*\*

The context associated with this write function.

### Return value

Type: HRESULT

Result code for this API operation. Possible values are S\_OK, E\_INVALIDARG, or E\_FAIL.

## Requirements

**Header:** httpProvider.h

**Library:** libHttpClient.lib

**Supported platforms:** Windows, XBOX One family consoles and XBOX Series consoles

## See also

[httpProvider](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)


## Related topics

- [httpProvider (contents)](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)
- [HCCallPerformFunction](https://docs.xbox.com/reference/live/httpclient/httpprovider/functions/hccallperformfunction.md)
- [HCHttpCallResponseSetResponseBodyWriteFunction](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallresponsesetresponsebodywritefunction.md)
- [HCHttpCallResponseBodyWriteFunction](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallresponsebodywritefunction.md)
- [HCHttpCallResponseGetResponseBodyBytes](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallresponsegetresponsebodybytes.md)
